import EniInserimentoPayload from '../EniInserimentoPayload';

// fake payload per far funzionare lo scraper EniFornitoriGas
const eniFornitoriGasPayload: EniInserimentoPayload = {
  idDatiContratto: 10,
  webhook: 'http://fake.webhook.it',

  tipoFornitura: 'gas',

  ragioneSociale: 'sggssg',
  partitaIva: '01274130119',
  codiceFiscale: 'FRNMRA80A01F205J',
  consumoAnnuo: 300,
  modalitaPagamento: 'SDD',
  pod: null,
  pdr: '00000000000001',
  tipoIndirizzoAttivazione: 'via',
  indirizzoAttivazione: 'delle svolte',
  civicoIndirizzoAttivazione: '71',
  provinciaIndirizzoAttivazione: 'Latina',
  comuneIndirizzoAttivazione: 'Norma',
  capIndirizzoAttivazione: '04010',

  prodotto: 'Trend Business gas (Base)',
  formaGiuridica: 'ente',
  settoreMerceologico: 'istituzioni e associazioni',
  attivitaMerceologica: "universita'",
  codiceAteco: '85.42.00',
  tipoInterlocutore: 'Cliente',
  nomeLegaleRappresentante: 'vincenzo',
  cognomeLegaleRappresentante: 'ciliberti',
  provinciaNascitaLegaleRappresentante: 'lecco',
  comuneNascitaLegaleRappresentante: 'lecco',
  dataDiNascitaLegaleRappresentante: '22/12/1977',
  sessoLegaleRappresentante: 'M',
  tipoDocumentoLegaleRappresentante: 'patente',
  numeroDocumentoLegaleRappresentante: 'u1p178131x',
  dataRilascioDocumentoLegaleRappresentante: '10/1/2018',
  comuneRilascioDocumentoLegaleRappresentante: 'lecco',
  cellulare: '3460214383',
  email: 'multiservicepescara@libero.it',
  tipoIndirizzoSedeLegale: 'via',
  indirizzoSedeLegale: 'costituzione',
  civicoSedeLegale: '13',
  // scalaSedeLegale: '2',
  provinciaSedeLegale: 'lecco',
  comuneSedeLegale: 'lecco',
  capSedeLegale: '23900',

  occupazione: 'inquilino',
  attualeFornitore: '',
  mercatoProvenienza: 'Tutelato',
  tensione: '380',
  agevolazione: true,
  tipoIndirizzoRecapitoFattura: null,
  indirizzoRecapitoFattura: null,
  civicoRecapitoFattura: null,
  // scalaRecapitoFattura: null,
  provinciaRecapitoFattura: null,
  comuneRecapitoFattura: null,
  capRecapitoFattura: null,
  potenza: null,

  iban: 'IT72N0623032900000043384056',
  tipoIntestatarioSepa: 'persona fisica',
  nomeSepa: 'GIUSEPPE',
  cognomeSepa: 'COLUCCI',
  codiceFiscaleSepa: 'CLCGPP65B04C514V',
  partitaIvaSepa: 'null',
  ragioneSocialeSepa: 'null',
  codiceFiscaleAziendaSepa: 'null',
  codiceFiscaleLegaleRappresentante: 'CLBVCN77T22I158C',
  consensoUno: false,
  consensoDue: false,
  consensoTre: false
};

export default eniFornitoriGasPayload;
